summaryrefslogtreecommitdiff
path: root/src/templating/run-original-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/templating/run-original-tests.sh')
-rwxr-xr-xsrc/templating/run-original-tests.sh14
1 files changed, 4 insertions, 10 deletions
diff --git a/src/templating/run-original-tests.sh b/src/templating/run-original-tests.sh
index cc666fd69..21481a286 100755
--- a/src/templating/run-original-tests.sh
+++ b/src/templating/run-original-tests.sh
@@ -1,18 +1,10 @@
#!/bin/bash
# This file is in the public domain.
-set -eu
+set -eux
export CFLAGS="-g"
-function build()
-{
- make clean
- make
-}
-
-# Install rebuild-on-exit handler (except for kill -9)
-trap build EXIT
-
+echo "Ensuring clean state on entry to upstream tests ..."
make clean
# The build fails if libjson-c-dev is not installed.
@@ -23,3 +15,5 @@ make -f mustach-original-Makefile mustach mustach-json-c.o || exit 77
make -f mustach-original-Makefile clean || true
make -f mustach-original-Makefile basic-tests
make -f mustach-original-Makefile clean || true
+
+exit 0